package fruchtbsp;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import javax.naming.*;
import java.io.File;
import java.util.Hashtable;

/**
  * Demo: Bindung an einen Context hinzufgen
  *
  * usage: java Bind
  */

public class Bind {
    public static void main(String[] args) {
	Hashtable env = new Hashtable(11);
	env.put(Context.INITIAL_CONTEXT_FACTORY,
	    "com.sun.jndi.fscontext.RefFSContextFactory");
	env.put(Context.PROVIDER_URL, "file:/Test");
	try {
	    Context ctx = new InitialContext(env);
	    Fruit fruit = new Fruit("Orange");
	    ctx.bind("lieblingsfrucht", fruit);
	    Object obj = ctx.lookup("lieblingsfrucht");
	    System.out.println(obj);

	    // Close the context when we're done
	    ctx.close();
	} catch (NamingException e) {
	    System.out.println("Operation failed: " + e);
	}
    }
}
