package fruchtrebind;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * @author J.M.Joller
 * @version 1.0
 */
import javax.naming.*;
import java.io.File;
import java.util.Hashtable;

/**
  * Demo: berschreiben einer Bindung
  *
  * usage: java Rebind
  */
public class Rebind {
    public static void main(String[] args) {
	Hashtable env = new Hashtable(11);
	env.put(Context.INITIAL_CONTEXT_FACTORY,
	    "com.sun.jndi.fscontext.RefFSContextFactory");
	env.put(Context.PROVIDER_URL, "file:/Test");

	try {
	    Context ctx = new InitialContext(env);
	    Fruit fruit = new Fruit("Starfrucht");

	    // Binden des Namens
	    ctx.rebind("Lieblingsfrucht", fruit);

	    // Ueberpruefen
	    Object obj = ctx.lookup("Lieblingsfrucht");
	    System.out.println("Lieblingsfrucht: "+obj);

	    // Schliessen des Kontextes
	    ctx.close();
	} catch (NamingException e) {
	    System.out.println("Operation schlug fehl: " + e);
	}
    }
}
