package jndilookupueberdasnetz;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import javax.naming.*;
import java.io.File;
import java.util.Hashtable;
import java.util.*;
import javax.jms.*;


/**
  * Grundfunktion : Lookup einer Adresse, eines Namens
  *
  * usage: java Lookup
  */
public class Lookup {
  public static void main(String[] args) {
        String                  queueName = null;
        Context                 jndiContext = null;
        QueueConnectionFactory  queueConnectionFactory = null;
        QueueConnection         queueConnection = null;
        QueueSession            queueSession = null;
        Queue                   queue = null;
        QueueReceiver           queueReceiver = null;
        TextMessage             message = null;

        if (args.length != 1) {
            System.out.println("Usage: java EinfacherQueueReceiver " +
                "<queue-name>");
            queueName = "meineWarteschlange";
        } else {
        queueName = new String(args[0]);}
        System.out.println("Der Queue Name ist " + queueName);
        try {
          // die Hashtabelle dient als Basis fr den Context
          /*Hashtable env = new Hashtable(11);
          env.put("com.sun.jms.internal.java.naming.factory.initial","com.sun.enterprise.naming.SerialInitContextFactory");
          env.put("com.sun.jms.internal.java.naming.provider.url", "iiop://147.88.97.173:1050");
          env.put("com.sun.jms.client.transport_preference","IIOP");*/
          System.out.println("[EinfacherQueueReceiver]InitialContext");
          jndiContext = new InitialContext();
          jndiContext.addToEnvironment("com.sun.jms.internal.java.naming.factory.initial","com.sun.enterprise.naming.SerialInitContextFactory");
          jndiContext.addToEnvironment("com.sun.jms.internal.java.naming.provider.url", "iiop://147.88.97.173:1050");
          jndiContext.addToEnvironment("com.sun.jms.client.transport_preference","IIOP");

        } catch (NamingException e) {
            System.out.println("JNDI Context konnte nicht generiert werden: "
                            + e.toString());
            System.exit(1);
        }
        try {
            Hashtable ht = jndiContext.getEnvironment();
            System.out.println("InitalContextFactory : "+ht.get("com.sun.jms.internal.java.naming.factory.initial"));
            System.out.println("ProviderURL : "+ht.get("com.sun.jms.internal.java.naming.provider.url"));
            System.out.println("Transport Preference: "+ht.get("com.sun.jms.client.transport_preference"));
            System.out.println("queueConnectionFactory");
            queueConnectionFactory = (QueueConnectionFactory)jndiContext.lookup("QueueConnectionFactory");

            System.out.println("[Lookup]queueConnectionFactory");
            queueConnectionFactory = (QueueConnectionFactory)
            jndiContext.lookup("QueueConnectionFactory");

            System.out.println("[Lookup]queue");
            queue = (Queue) jndiContext.lookup(queueName);
            jndiContext.close();
        } catch (NamingException e) {
            System.out.println("JNDI Lookup fehlgeschlagen: "
                + e.toString());
            System.exit(1);
        }
      }
}
