package lesenderattribute;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import javax.naming.Context;
import javax.naming.directory.InitialDirContext;
import javax.naming.directory.DirContext;
import javax.naming.directory.Attributes;
import javax.naming.NamingException;
import java.util.Hashtable;

/**
 * Lesen von Attributen eines benannten Objektes.
 *
 * usage: java GetAttr
 */
public class GetAttr {
  public static void main(String[] args) {
	  // Provider
          System.out.println("Hashtabelle fuer Properties");
	  Hashtable env = new Hashtable(11);
          System.out.println("INITIAL_CONTEXT_FACTORY : com.sun.jndi.ldap.LdapCtxFactory");
	  env.put(Context.INITIAL_CONTEXT_FACTORY,
            "com.sun.jndi.ldap.LdapCtxFactory");
          System.out.println("PROVIDER_URL : ldap://ldap.yahoo.com:389/o=JNDIBeispiel");
	  env.put(Context.PROVIDER_URL, "ldap://ldap.yahoo.com:389/o=JNDIBeispiel");
          System.out.println("Context");
	  try {
	    // initialisieren des Contextes
            System.out.println("Initialisieren des Contextes");
	    DirContext ctx = new InitialDirContext(env);
	    // Attribute des Objektes abfragen
            System.out.println("Attribute abfragen");
	    Attributes attrs = ctx.getAttributes("cn=Josef Joller, ou=Personal");
	    // suche ("sn") und Ausgabe
	    System.out.println("sn: " + attrs.get("sn").get());
	    // und tschss ...
	    ctx.close();
	  } catch (NamingException e) {
	      System.err.println("Problem : Attribute knnen nicht bestimmt werden " + e);
	  }
  }
}