package lesenderattribute;
import java.io.FileDescriptor;
/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class MeinSecurityManager extends java.lang.SecurityManager {
  private String acceptedFiles[ ] = null;

  public MeinSecurityManager(String acceptedFiles[ ]) {
    super();
    this.acceptedFiles = acceptedFiles;
  }
  /**
   * Check : darf dieser Thread die Thread Gruppe modifizieren?
   * @param g Thread, der berprft werden soll.
   * @exception SecurityException, falls der Thread die Thread Gruppe nicht
   * modifizieren darf.
   */
   public void checkAccess(ThreadGroup g) {
    System.out.println("[MeinSecurityManager.checkAccess(thread)]");
    return;
  }
  /**
   * Check : darf diese Thread Gruppe die Thread Gruppe modifizieren?
   * @param g Thread Gruppe, die berprft werden soll.
   * @exception SecurityException, falls die Thread Gruppe diese Thread Gruppe nicht
   * modifizieren darf.
   */
   public void checkAccess(ThreadGroup g) {
    System.out.println("[MeinSecurityManager.checkAccess(threadGroup)]");
    return;
  }
  /**
   * Check : existiert die spezifizierte Link Library?
   * @param Link Library (dll).
   * @exception SecurityException, falls die LinkLib nicht existiert
   */
   public void checkLink(String lib) {
    System.out.println("[MeinSecurityManager.checkLink(linkLib)]");
    return;
  }
  /**
   * Check : kann die spezifizierte Datei kreiert werden?
   * @param File Descriptor.
   * @exception SecurityException, falls ein Security Error auftritt.
   */
   public void checkRead(FileDescriptor fd) {
    System.out.println("[MeinSecurityManager.checkRead(fileDescriptor)]");
    return;
  }
   public void checkRead(String file) {
    System.out.println("[MeinSecurityManager.checkRead(fileString)]");
    System.out.println("[MeinSecurityManager.checkRead(fileString)]Versuche auf die Datei "+file+" zuzugreifen!");
    for (int i=0; i < acceptedFiles.length; i++) {
      if (acceptedFiles[i].equals(file) ) {
        return;
      }
    }
    throw new SecurityException("[MeinSecurityManager.checkRead(fileString)]Zugriff auf die Datei "+file+" wurde verweigert!");
  }
  /**
   * Check : kann auf die spezifizierte Datei zugegriffen werden?
   * @param File Descriptor.
   * @exception SecurityException, falls ein Security Error auftritt.
   */
   public void checkRead(String file, Object context) {
    System.out.println("[MeinSecurityManager.checkRead(file, context)]");
    return;
  }
  /**
   * Check : kann die spezifizierte Datei kreiert werden?
   * @param FileDescriptor.
   * @exception SecurityException, falls ein Security Error auftritt.
   */
   public void checkWrite(FileDescriptor fd) {
    System.out.println("[MeinSecurityManager.checkWrite(fileDescriptor)]");
    return;
  }
  /**
   * Check : kann die spezifizierte Datei kreiert werden?
   * @param Filename.
   * @exception SecurityException, falls ein Security Error auftritt.
   */
   public void checkWrite(String file) {
    System.out.println("[MeinSecurityManager.checkWrite(file)]");
    return;
  }
  /**
   * Check : kann die Socketverbindung zum Host aufgebaut werden?
   * @param Host, Port.
   * @exception SecurityException, falls ein Security Error auftritt.
   */
   public void checkConnect(String host, int port) {
    System.out.println("[MeinSecurityManager.checkConnect(host, port)]");
    return;
  }
  /**
   * Check : kann die Socketverbindung zum Host aufgebaut werden?
   * @param Host, Port, Context.
   * @exception SecurityException, falls ein Security Error auftritt.
   */
   public void checkConnect(String host, int port, Object context) {
    System.out.println("[MeinSecurityManager.checkConnect(host, port, context)]");
    return;
  }
  /**
   * Check : hrt der Host am Port?
   * @param Host, Port.
   * @exception SecurityException, falls ein Security Error auftritt.
   */
   public void checkAccept(String host, int port) {
    System.out.println("[MeinSecurityManager.checkAccept(host, port)]");
    return;
  }
  /**
   * Check : wartet der Host am Port?
   * @param Port.
   * @exception SecurityException, falls ein Security Error auftritt.
   */
   public void checkListen(int port) {
    System.out.println("[MeinSecurityManager.checkListen(port)]");
    return;
  }
  /**
   * Check : ist der Zugriff auf die Systemeigenschaften gestattet?
   * @exception SecurityException, falls ein Security Error auftritt.
   */
   public void checkPropertiesAccess() {
    System.out.println("[MeinSecurityManager.checkPropertiesAccess()]");
    return;
  }
  /**
   * Check : ist der Zugriff auf die Systemeigenschaften gestattet?
   * @param Key.
   * @exception SecurityException, falls ein Security Error auftritt.
   */
   public void checkPropertyAccess(String key) {
    System.out.println("[MeinSecurityManager.checkPropertyAccess(key)]");
    return;
  }
  /**
   * Check : ist das Kreieren eines Top Level Windows gestattet?
   * @param Window.
   * @exception SecurityException, falls ein Security Error auftritt.
   */
   public void checkTopLevelWindow(Object window) {
    System.out.println("[MeinSecurityManager.checkTopLevelWindow(window)]");
    return;
  }
   public void checkSetFactory() {
    System.out.println("[MeinSecurityManager.checkSetFactory()]");
    return;
  }
   public void checkAwtEventQueueAccess() {
    System.out.println("[MeinSecurityManager.checkAwtEventQueueAccess()]");
    return;
  }
}