package lookupbsp;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import javax.naming.*;
import java.io.File;
import java.util.Hashtable;

/**
  * Grundfunktion : Lookup einer Adresse, eines Namens
  *
  * usage: java Lookup
  */
public class Lookup {
  public static void main(String[] args) {

    // Achtung : in URL wrde man file://... erwarten
    //           hier muss man file:/ verwenden, also nur ein Slash
    String[] str_Verzeichnis = {"file:/", "file:/Temp"};
    String[] str_Datei = {"index.html", "indexm.html"} ;
    String str_Error = "";
    // die Hashtabelle dient als Basis fr den Context
    Hashtable env = new Hashtable(11);
    // fscontext bezieht sich auf das Filesystem (f s )
    env.put(Context.INITIAL_CONTEXT_FACTORY,
	            "com.sun.jndi.fscontext.RefFSContextFactory");

    for (int i=0; i< str_Verzeichnis.length; i++) {
      for (int j=0; j< str_Datei.length; j++) {
        System.out.println("Context (Verzeichnis) : "+str_Verzeichnis[i]+
                          "; \nDatei : "+str_Datei[j]);
      //Angabe des Verzeichnisses
      //*************************
      env.put(Context.PROVIDER_URL, str_Verzeichnis[i]);

      try {
        // kreieren des initial context mit der RefFSContextFactory
        str_Error = "Context Fehler : "+str_Verzeichnis[i];
        Context ctx = new InitialContext(env);

        // lookup und casting
        //*******************
        // das Root war ein Verzeichnis; jetzt geben wir eine Datei an
        str_Error = "Lookup Fehler : "+str_Datei[j]+
                  " nicht gefunden im FSContext "+str_Verzeichnis[i];
        File f = (File) ctx.lookup(str_Datei[j]);

        System.out.println(f);

        // Context schliessen (eigentlich erst am Schluss)
        ctx.close();
      } catch (NamingException e) {
        System.err.println(str_Error);
        System.err.println("NamingException : "+e);
      }
      System.out.println("_______");
      }
    }
  }
}
