package unbindns;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * @author J.M.Joller
 * @version 1.0
 */
import javax.naming.*;
import java.io.File;
import java.util.Hashtable;

/**
  * Demo: unbind
  *
  * usage: java Unbind
  */
public class Unbind {
    public static void main(String[] args) {
	Hashtable env = new Hashtable(11);
	env.put(Context.INITIAL_CONTEXT_FACTORY,
	    "com.sun.jndi.fscontext.RefFSContextFactory");
	env.put(Context.PROVIDER_URL, "file:/Test");
	try {
	    Context ctx = new InitialContext(env);
	    ctx.unbind("Lieblingsfrucht");
	    Object obj = null;
	    try {
		obj = ctx.lookup("Lieblingsfrucht");
	    } catch (NameNotFoundException ne) {
		System.out.println("unbind erfolgreich");
		return;
	    }
	    System.out.println("unbind fehlgeschlagen; Objekt immer noch gebunden: " + obj);
	    ctx.close();
	} catch (NamingException e) {
	    System.out.println("Operation fehlgeschlagen: " + e);
	}
    }
}
