package destroysubcontextfs;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import javax.naming.*;
import java.io.File;
import java.util.Hashtable;

/**
  * Demo: zerstren des Subcontext "new"
  *
  * usage: java Destroy
  */
public class Destroy {
    public static void main(String[] args) {
        System.out.println("Hashtabelle - dient als Speicher fr 'Environment Properties'");
	Hashtable env = new Hashtable(11);
	env.put(Context.INITIAL_CONTEXT_FACTORY,
	    "com.sun.jndi.fscontext.RefFSContextFactory");
        // put(object key, Object value)
	env.put(Context.PROVIDER_URL, "file:/Test");
	try {
            System.out.println("Kreieren des InitialContext");
	    Context ctx = new InitialContext(env);
            System.out.println("Zerstoeren des Sub Context 'new'");
	    ctx.destroySubcontext("new");
            System.out.println("Abfrage des Contexts - der Namen im Context");
	    NamingEnumeration list = ctx.list("");
	    while (list.hasMore()) {
		NameClassPair nc = (NameClassPair)list.next();
		System.out.println("\tName:"+nc.getName()+";\t\tName-Class Paar:"+nc);
	    }
            System.out.println("Schliessen des Context");
	    ctx.close();
	} catch (NamingException e) {
	    System.out.println("destroy fehlgeschlagen: " + e);
	}
    }
}
