package listbindingsbsp;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import javax.naming.*;
import java.util.Hashtable;

/**
 * Demo : List Bindings im Context.
 *
 * usage: java ListBindings
 */
public class ListBindings {
    public static void main(String[] args) {
	Hashtable env = new Hashtable(11);
	env.put(Context.INITIAL_CONTEXT_FACTORY,
	    "com.sun.jndi.fscontext.RefFSContextFactory");
	env.put(Context.PROVIDER_URL, "file:/Test");
	try {
	    Context ctx = new InitialContext(env);
	    NamingEnumeration bindings = ctx.listBindings("awt");
	    while (bindings.hasMore()) {
		Binding bd = (Binding)bindings.next();
		System.out.println(bd.getName() + ": " + bd.getObject());
	    }
	    ctx.close();
	} catch (NamingException e) {
	    System.out.println("List Bindings fehlgeschlagen: " + e);
	}
    }
}