package renamens;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * @author J.M.Joller
 * @version 1.0
 */
import javax.naming.*;
import java.io.File;
import java.util.Hashtable;

/**
  * Demo: rename eines gebundenen Objekts
  *
  * usage: java Rename
  */

public class Rename {
    public static void main(String[] args) {
	Hashtable env = new Hashtable(11);
	env.put(Context.INITIAL_CONTEXT_FACTORY,
	    "com.sun.jndi.fscontext.RefFSContextFactory");
	env.put(Context.PROVIDER_URL, "file:/Test");
	try {
	    Context ctx = new InitialContext(env);
	    Object obj = ctx.lookup("report.txt");
	    System.out.println("Alter Objektname:"+obj);

	    ctx.rename("report.txt", "old_report.txt");
	    obj = ctx.lookup("old_report.txt");
	    System.out.println("Neuer Objektname:"+obj);
	    ctx.rename("old_report.txt", "report.txt");
	    obj = ctx.lookup("report.txt");
	    System.out.println("und wieder neuer Objektname:"+obj);
	    ctx.close();
	} catch (NamingException e) {
	    System.out.println("Rename fehlgeschlagen: " + e);
	}
    }
}
